<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="https://jmix.io/schema/ui/window"
        caption="msg://walletTypeEdit.caption"
        focusComponent="form">
    <data>
        <instance id="walletTypeDc"
                  class="com.company.trade_engine.entity.WalletType">
            <fetchPlan extends="_base"/>
            <loader/>
        </instance>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="windowCommitAndClose" caption="msg:///actions.Ok"
                icon="EDITOR_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="windowClose"
                caption="msg:///actions.Close"
                icon="EDITOR_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout spacing="true" expand="editActions">
        <form id="form" dataContainer="walletTypeDc">
            <column width="350px">
                <textField id="codeField" property="code"/>
                <textField id="createdByField" property="createdBy"/>
                <dateField id="createdDateField" property="createdDate"/>
                <textField id="deletedByField" property="deletedBy"/>
                <dateField id="deletedDateField" property="deletedDate"/>
                <textField id="descriptionField" property="description"/>
                <textField id="lastModifiedByField" property="lastModifiedBy"/>
                <dateField id="lastModifiedDateField" property="lastModifiedDate"/>
                <textField id="nameField" property="name"/>
                <textField id="versionField" property="version"/>
            </column>
        </form>
        <hbox id="editActions" spacing="true">
            <button id="commitAndCloseBtn" action="windowCommitAndClose"/>
            <button id="closeBtn" action="windowClose"/>
        </hbox>
    </layout>
</window>
